# ChaseLight
(c) 2021 Christian Grieger  
GNU GENERAL PUBLIC LICENSE

ChaseLight is an Arduino library written in C++ which allows you to simulate
a chasing light for a construction site.

## How to install the library
 - Download the lastest release of this library from github as a zip
 - Open the Arduino IDE
 - Go to the Library Manager (available from IDE version 1.6.2): Open the IDE and click to the "Sketch" menu and then Include Library > Add .ZIP Library...
 - Importing the .zip file of this library and you´re done

## Usage
Include the header file of the library:
```
#include <ChaseLight.h>
```

Initialize the chase light with six LED pins:
```
ChaseLight cl = ChaseLight(8, 9, 10, 11, 12, 13);
```

Enter the update function in the main loop() function for running the simulation:
```
cl.update();
```

Examine the "demo.ino" for a working example.